aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPau Espin Pedrol <pespin@sysmocom.de>2018-02-20 14:44:39 +0100
committerPau Espin Pedrol <pespin@sysmocom.de>2018-02-22 20:04:47 +0100
commit8b843e5bed6e3dab1068b86805e557a196f9aa4c (patch)
tree49104a2e22caf7f6d4a61f2972a7c85c967708f1
parentc92dad32dd403d84617236e98db892d7d285cd35 (diff)
Depend on libosmocore
-rw-r--r--Transceiver52M/Makefile.am5
-rw-r--r--configure.ac2
-rwxr-xr-xcontrib/jenkins.sh31
3 files changed, 33 insertions, 5 deletions
diff --git a/Transceiver52M/Makefile.am b/Transceiver52M/Makefile.am
index f36f4d4..21104dc 100644
--- a/Transceiver52M/Makefile.am
+++ b/Transceiver52M/Makefile.am
@@ -22,7 +22,7 @@
include $(top_srcdir)/Makefile.common
AM_CPPFLAGS = -Wall $(STD_DEFINES_AND_INCLUDES) -I${srcdir}/common
-AM_CXXFLAGS = -lpthread
+AM_CXXFLAGS = -lpthread $(LIBOSMOCORE_CFLAGS)
SUBDIRS = arm x86
@@ -92,7 +92,8 @@ osmo_trx_LDADD = \
$(ARCH_LA) \
$(GSM_LA) \
$(COMMON_LA) \
- $(FFTWF_LIBS)
+ $(FFTWF_LIBS) \
+ $(LIBOSMOCORE_LIBS)
if USRP1
libtransceiver_la_SOURCES += USRPDevice.cpp
diff --git a/configure.ac b/configure.ac
index 5c034e5..cba4a0c 100644
--- a/configure.ac
+++ b/configure.ac
@@ -73,6 +73,8 @@ AC_TYPE_SIZE_T
AC_HEADER_TIME
AC_C_BIGENDIAN
+PKG_CHECK_MODULES(LIBOSMOCORE, libosmocore >= 0.10.0)
+
AC_ARG_WITH(usrp1, [
AS_HELP_STRING([--with-usrp1],
[enable USRP1 gnuradio based transceiver])
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index 11def5c..cee709d 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -15,6 +15,11 @@ mychroot() {
mychroot_nocwd -w / "$@"
}
+base="$PWD"
+deps="$base/deps"
+inst="$deps/install"
+export deps inst
+
if [ -z "${INSIDE_CHROOT}" ]; then
osmo-clean-workspace.sh
@@ -41,16 +46,36 @@ if [ -z "${INSIDE_CHROOT}" ]; then
echo "nameserver 8.8.8.8" > "$ROOTFS/etc/resolv.conf"
fi
mychroot -b /dev apt-get update
- mychroot apt-get -y install build-essential dh-autoreconf pkg-config libuhd-dev libusb-1.0-0-dev libusb-dev git
+ mychroot apt-get -y install build-essential dh-autoreconf pkg-config libuhd-dev libusb-1.0-0-dev libusb-dev git libtalloc-dev libgnutls28-dev stow
fi
# Run jenkins.sh inside the chroot:
- INSIDE_CHROOT=1 mychroot_nocwd -w /osmo-trx -b "$OSMOTRX_DIR:/osmo-trx" -b "$(which osmo-clean-workspace.sh):/usr/bin/osmo-clean-workspace.sh" ./contrib/jenkins.sh
+ INSIDE_CHROOT=1 mychroot_nocwd \
+ -w /osmo-trx \
+ -b "$OSMOTRX_DIR:/osmo-trx" \
+ -b "$(which osmo-clean-workspace.sh):/usr/bin/osmo-clean-workspace.sh" \
+ -b "$(which osmo-build-dep.sh):/usr/bin/osmo-build-dep.sh" \
+ -b "$(which osmo-deps.sh):/usr/bin/osmo-deps.sh" \
+ ./contrib/jenkins.sh
exit 0
fi
fi
-### BUILD osmo-trx
+mkdir "$deps" || true
+
+osmo-build-dep.sh libosmocore "" "--disable-doxygen --disable-pcsc"
+
+export PKG_CONFIG_PATH="$inst/lib/pkgconfig:$PKG_CONFIG_PATH"
+export LD_LIBRARY_PATH="$inst/lib"
+
+set +x
+echo
+echo
+echo
+echo " =============================== osmo-trx ==============================="
+echo
+set -x
+cd "$base"
autoreconf --install --force
./configure $INSTR
$MAKE $PARALLEL_MAKE